Bug 198644 - new package suggestion: keepass
new package suggestion: keepass
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-07-12 10:36 EDT by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-06 09:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposal for a spec file (2.24 KB, application/octet-stream)
2006-11-01 09:04 EST, Peter Bieringer
no flags Details

  None (edit)
Description Peter Bieringer 2006-07-12 10:36:04 EDT
New packet suggestion:

package keepass is missing, a very nice multi-platform password manager.

URL: http://keepassx.sourceforge.net/

I can provide a spec file for proper build on FC5, if required. The one
delivered in the source rpm is some kind of strange (at least the 0.2.0 version)
and not working without any modification.
Comment 1 Bill Nottingham 2006-07-12 10:47:11 EDT
Seems like something best suited for Extras first. Moving over there.
Comment 2 Peter Bieringer 2006-11-01 09:04:09 EST
Created attachment 139974 [details]
Proposal for a spec file

Spec file is taken from author's supplied SRPMS and modified for FC6
Comment 3 John Mahowald 2006-11-26 23:42:39 EST
Needs some work:
- don't use vendor tag
- use BuildRequires and not BuildPreReq
- Drop Requires: qt4  as rpm should figure out library dependencies
- don't define Prefix
- you do not need to define a version macro, merely specify the version in
Version: tag

I'm doubtful about the conditional Fedora build if. This spec will be maintained
in Fedora version control anyway, the regular package spec stuff is not needed.
Comment 4 Gianluca Sforna 2006-11-27 03:09:15 EST
Peter, are you going to submit this for inclusion, i.e. being its maintainer? in
this case, you need to follow the procedure outlined in


Comment 5 Michael Schwendt 2006-11-27 07:24:01 EST
This spec file is inacceptable and a really big mess.
Comment 6 Peter Bieringer 2006-12-06 08:10:56 EST
I'm not planning to be the maintainer.

The spec file is an adapted one of the original delivered by the keepass author.
It's sure not very good, but a starting point.
Comment 7 Ralf Corsepius 2006-12-06 09:39:32 EST
(In reply to comment #6)
> I'm not planning to be the maintainer.

... closing. May somebody feeling more interested pick it up again or resubmit it.

Note You need to log in before you can comment on or make changes to this bug.